using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("随手拍")]
    public class T_FM_SNAPSHOT : MesEntityBase
    {
        [Description("问题描述")]
        [DataFieldLength(1000)]
        public string DESCRIPTION { get; set; }

        [Description("接收人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? ACCEPT_ID { get; set; }

        /// <summary>
        /// 导航：人员
        /// </summary>
        [Description("导航：人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("附件")]
        public ICollection<T_FM_SNAPSHOT_FILE> Nav_Files { get; set; }

        [Description("状态")]
        public PFStandardStatus? STATUS { get; set; }

        [Description("创建人姓名")]
        [DataFieldIngore]
        public string CREATER_NAME { get; set; }
    }
}
